{"openapi":"3.0.4","info":{"title":"Get transactions","description":"Retrieve all the transactions that occurred during a particular time interval.\r\n            \r\nIf the portfolio is a derived transaction portfolio, the transactions returned are the\r\nunion set of all transactions of the parent (and any grandparents, etc.) as well as\r\nthose of the derived transaction portfolio itself.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/transactions":{"get":{"tags":["Transaction Portfolios"],"summary":"Get transactions","description":"Retrieve all the transactions that occurred during a particular time interval.\r\n            \r\nIf the portfolio is a derived transaction portfolio, the transactions returned are the\r\nunion set of all transactions of the parent (and any grandparents, etc.) as well as\r\nthose of the derived transaction portfolio itself.","operationId":"GetTransactions","parameters":[{"name":"scope","in":"path","description":"The scope of the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the transaction portfolio. Together with the scope this uniquely identifies\r\n             the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"fromTransactionDate","in":"query","description":"The lower bound effective datetime or cut label (inclusive) from which to retrieve transactions.\r\n             There is no lower bound if this is not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"toTransactionDate","in":"query","description":"The upper bound effective datetime or cut label (inclusive) from which to retrieve transactions.\r\n             There is no upper bound if this is not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve transactions. Defaults to returning the latest version\r\n             of each transaction if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression with which to filter the result set.\r\n             For example, to return only transactions with a transaction type of 'Buy', specify \"type eq 'Buy'\"\r\n             For more information about filtering LUSID results, see https://support.lusid.com/knowledgebase/article/KA-01914.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'Instrument', 'Transaction', \"LegalEntity\" or \"CustodianAccount\" domain to decorate onto\r\n             transactions. These must have the format {domain}/{scope}/{code}, for example 'Instrument/system/Name' or\r\n             'Transaction/strategy/quantsignal'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing transactions from a previous call to GetTransactions.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many. The current behaviour is\r\n             to return all transactions if possible, but this will change to defaulting to 1000 if not specified in the future. It is recommended\r\n             to populate this field to enable pagination.","schema":{"type":"integer","format":"int32"},"x-nullable":true},{"name":"showCancelledTransactions","in":"query","description":"Option to specify whether or not to include cancelled transactions,\r\n             including previous versions of transactions which have since been amended.\r\n             Defaults to False if not specified.","schema":{"type":"boolean"},"x-nullable":true},{"name":"sortBy","in":"query","description":"A list of field names or properties to sort by, each suffixed by \" ASC\" or \" DESC\".","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"dataModelScope","in":"query","description":"The optional scope of a Custom Data Model to use","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"dataModelCode","in":"query","description":"The optional code of a Custom Data Model to use","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"membershipType","in":"query","description":"The membership types of the specified Custom Data Model to return. Default value: Member. Available values: All, Member, Candidate.","schema":{"type":"string"}}],"responses":{"200":{"description":"The requested transactions from the specified transaction portfolio","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/VersionedResourceListOfTransaction"},"example":{"version":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","asAtDate":"2018-03-04T23:50:00.0000000+00:00"},"values":[{"transactionId":"TXN-00001","type":"Buy","instrumentIdentifiers":{"Instrument/default/RIC":"RIC.L"},"instrumentScope":"default","instrumentUid":"LUID_1C7YTL5M","transactionDate":"2018-08-04T00:00:00.0000000+00:00","settlementDate":"2018-08-06T00:00:00.0000000+00:00","units":1000,"transactionPrice":{"price":88.8,"type":"Price"},"totalConsideration":{"amount":88800,"currency":"USD"},"properties":{"Transaction/default/TradeToPortfolioRate":{"key":"Transaction/default/TradeToPortfolioRate","value":{"metricValue":{"value":0.765}}},"Transaction/default/SourcePortfolioId":{"key":"Transaction/default/SourcePortfolioId","value":{"labelValue":"DEMO-PORTFOLIO-ID"}},"Transaction/default/SourcePortfolioScope":{"key":"Transaction/default/SourcePortfolioScope","value":{"labelValue":"DEMO-SCOPE"}}},"source":"","entryDateTime":"2018-03-04T23:50:00.0000000+00:00","transactionStatus":"Active","orderId":{"scope":"someScope","code":"ORD001"},"allocationId":{"scope":"someScope","code":"ALLOC001"},"resolvedTransactionTypeDetails":{"scope":"default","source":"default","type":"Buy"},"version":{"effectiveFrom":"2018-08-04T00:00:00.0000000+00:00","asAtDate":"2018-03-04T23:50:00.0000000+00:00"}}],"href":"http://example.com","links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/VersionedResourceListOfTransaction"},"example":{"version":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","asAtDate":"2018-03-04T23:50:00.0000000+00:00"},"values":[{"transactionId":"TXN-00001","type":"Buy","instrumentIdentifiers":{"Instrument/default/RIC":"RIC.L"},"instrumentScope":"default","instrumentUid":"LUID_1C7YTL5M","transactionDate":"2018-08-04T00:00:00.0000000+00:00","settlementDate":"2018-08-06T00:00:00.0000000+00:00","units":1000,"transactionPrice":{"price":88.8,"type":"Price"},"totalConsideration":{"amount":88800,"currency":"USD"},"properties":{"Transaction/default/TradeToPortfolioRate":{"key":"Transaction/default/TradeToPortfolioRate","value":{"metricValue":{"value":0.765}}},"Transaction/default/SourcePortfolioId":{"key":"Transaction/default/SourcePortfolioId","value":{"labelValue":"DEMO-PORTFOLIO-ID"}},"Transaction/default/SourcePortfolioScope":{"key":"Transaction/default/SourcePortfolioScope","value":{"labelValue":"DEMO-SCOPE"}}},"source":"","entryDateTime":"2018-03-04T23:50:00.0000000+00:00","transactionStatus":"Active","orderId":{"scope":"someScope","code":"ORD001"},"allocationId":{"scope":"someScope","code":"ALLOC001"},"resolvedTransactionTypeDetails":{"scope":"default","source":"default","type":"Buy"},"version":{"effectiveFrom":"2018-08-04T00:00:00.0000000+00:00","asAtDate":"2018-03-04T23:50:00.0000000+00:00"}}],"href":"http://example.com","links":[]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/VersionedResourceListOfTransaction"},"example":{"version":{"effectiveFrom":"2018-03-05T00:00:00.0000000+00:00","asAtDate":"2018-03-04T23:50:00.0000000+00:00"},"values":[{"transactionId":"TXN-00001","type":"Buy","instrumentIdentifiers":{"Instrument/default/RIC":"RIC.L"},"instrumentScope":"default","instrumentUid":"LUID_1C7YTL5M","transactionDate":"2018-08-04T00:00:00.0000000+00:00","settlementDate":"2018-08-06T00:00:00.0000000+00:00","units":1000,"transactionPrice":{"price":88.8,"type":"Price"},"totalConsideration":{"amount":88800,"currency":"USD"},"properties":{"Transaction/default/TradeToPortfolioRate":{"key":"Transaction/default/TradeToPortfolioRate","value":{"metricValue":{"value":0.765}}},"Transaction/default/SourcePortfolioId":{"key":"Transaction/default/SourcePortfolioId","value":{"labelValue":"DEMO-PORTFOLIO-ID"}},"Transaction/default/SourcePortfolioScope":{"key":"Transaction/default/SourcePortfolioScope","value":{"labelValue":"DEMO-SCOPE"}}},"source":"","entryDateTime":"2018-03-04T23:50:00.0000000+00:00","transactionStatus":"Active","orderId":{"scope":"someScope","code":"ORD001"},"allocationId":{"scope":"someScope","code":"ALLOC001"},"resolvedTransactionTypeDetails":{"scope":"default","source":"default","type":"Buy"},"version":{"effectiveFrom":"2018-08-04T00:00:00.0000000+00:00","asAtDate":"2018-03-04T23:50:00.0000000+00:00"}}],"href":"http://example.com","links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}